/**
* JOnAS: Java(TM) Open Application Server
* Copyright (C) 1999-2004 Bull S.A.
* Contact: jonas-team@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
* --------------------------------------------------------------------------
* $Id: J2EEDomainMBean.java,v 1.3 2004/08/20 08:47:23 danesa Exp $
* --------------------------------------------------------------------------
*/
package org.objectweb.jonas.management.j2eemanagement;


import java.util.ArrayList;

import javax.management.MBeanException;

import org.apache.commons.modeler.BaseModelMBean;

/**
* 
* @author Adriana Danes
*/

public class J2EEDomainMBean extends BaseModelMBean {


   /**
    * Default constructor
    * @throws MBeanException if super constructor fails
    */
   public J2EEDomainMBean() throws MBeanException {
       super();
   }

   /**
    * All The MBean names corresponding to the J2EEServers in this domain
    * @return The String's array of J2EEServer objects names
    */
   public String[] getServers() {
       ArrayList al = (ArrayList) ((J2EEDomain) (this.resource)).getServers();
       return (String[]) al.toArray(new String[al.size()]);
   }
}